Differences between revisions 1 and 94 (spanning 93 versions)
Revision 1 as of 2015-12-18 11:23:36
Size: 907
Editor: ?NikoTyni
Comment:
Revision 94 as of 2015-12-30 22:57:39
Size: 3990
Editor: ?GregorHerrmann
Comment: mark votca-csg as DONE (delayed NMU)
Deletions are marked like this. Additions are marked like this.
Line 1: Line 1:
Open issues for the Perl 5.22 transition + coordinaating Open issues for the Perl 5.22 transition + coordinating
Line 3: Line 3:
12:56 < ntyni> looks like qdbm and subversion are victims of an openjdk-7 jre SIGSEGV regression on arm64
12:58 < ntyni> libdevel-bt-perl is a long-standing problem (#721421), IMO we should probably make the build
               survive test suite failures as they generally seem to be issues in gdb rather than
               libdevel-bt-perl
12:59 < ntyni> anyway libdevel-bt-perl is a leaf package I think so it can go for now
= Issues which show up in the transition tracker =
Line 9: Line 5:
13:03 < ntyni> the wxwidgets version detection logic in libalien-wxwidgets-perl debian/rules is a bit fragile
               and broke when wxwidgets3.0 acquired a +dfsg suffix in its version number
sid-only packages excluded
Line 12: Line 7:
https://release.debian.org/transitions/html/perl.html
Line 13: Line 9:
13:15 < BTS> Opened #808284 (serious) in libalien-wxwidgets-perl 0.67+dfsg-2 by Axel Beckert (abe) «Broken
             dependencies in binary package after BinNMU». https://bugs.debian.org/808284
 * ifeffi: DebianBug:808307 is in contrib, needs a manual upload
    * removed from testing
 * libpgplot-perl: DebianBug:808331 is in contrib, needs a manual upload
    * removed from testing
 * linux-tools: has been built against 5.22 but not showing up in tracker for some reason
    * probably needs a decruft (from #debian-ftp)
 * libdevel-findref-perl: (DebianBug:787446)
    * removed from testing by now
 * redhat-cluster: pochu dicussing with maintainers.
 * libembperl-perl: DebianBug:806897 long standing general issue
   * removed from testing

== Done ==

 * [DONE] qdbm, subversion: these seem to be victims of an openjdk-7 jre SIGSEGV regression on arm64
    * both built after a give-back, wookey suspects a local problem on arm-arm-01 buildd
    * DebianBug:808453
 * [DONE, hopefully] libdevel-bt-perl seems fixable (DebianBug:808480)
 * [DONE] libalien-wxwidgets-perl: wxwidgets version detection logic broken and not binNMU safe (DebianBug:808284)
 * [DONE] rrdtool: FTBFS on mips: `FAIL: tune2` DebianBug:805391
   * also fails with CC=gcc-4.9
   * also fails with DEB_BUILD_OPTIONS=noopt
   * patch submitted, maintainer active
 * [DONE] postgresql-9.4: test suite failures
    * reproducible.d.n last successfully built this on 20151211
    * builds with libxml2_2.9.2+zdfsg1-4 on amd64, so regressed with 2.9.3+dfsg1-1
    * DebianBug:808325 filed
 * [DONE, as in: giveback + severity lowered] libsendmail-milter-perl: (DebianBug:807392)
 * [DONE] linux-tools: looks like it's defending against binNMUs or something
    * bug filed: DebianBug:808329
 * [DONE] libchemistry-formula-perl: depends on perlapi-* even though it's arch:all, presumably due to a packlist file that's in vendorarch
    * needs a sourceful upload to become installable again (DebianBug:808310)
 * [DONE] slic3r/s390x is b-d-uninstallable because of something with boost-1.58 or mpich (DebianBug:808444)
 * [DONE] uwsgi/powerpc has mono troubles (DebianBug:807688, DebianBug:808507)
 * [DONE] libprelude FTBFS everywhere with SWIG errors in the perl bindings
    * bug filed (DebianBug:808395)
    * patch added
 * [DONE] rrdtool: FTBFS on mips: `FAIL: tune2` DebianBug:805391
   * also fails with CC=gcc-4.9
   * also fails with DEB_BUILD_OPTIONS=noopt
   * patch submitted, maintainer active
 * libsbml: pochu will poke mono people
 * [DONE] libb-hooks-op-check-entersubforcv-perl: longstanding issue, can be removed from testing: (DebianBug:787499)

= Other issues =

== perl5 ==

 * -

== Misc ==

 * -

== Things which aren't real issues for the transition ==

 * -

== Done ==

 * [DONE] html2wml: DebianBug:808189
 * [DONE] ddclient: DebianBug:808210
 * [DONE] jailer: DebianBug:808218
 * [DONE] nas-bin: DebianBug:808232
 * [DONE] p10cfgd: DebianBug:808233
 * [DONE] swish++: DebianBug:808323
 * [DONE] troffcvt: DebianBug:808324
 * [DONE] wmanager: DebianBug:808327
 * [DONE] xpilot-extra: DebianBug:808413 NMUed with maintainer permission
 * [DONE] geneweb: DebianBug:808390
 * [DONE] ippl: DebianBug:808412
 * [DONE] acm: DebianBug:808489
 * [DONE] sbuild: DebianBug:808560 DebianBug:808805
   * patch available in bug, awaiting maintainer upload?
 * [DONE] autodie:
   * [DONE] libautodie-perl: DebianBug:798096
   * [DONE] perl: DebianBug:808629
 * [DONE] libdevel-callparser-perl regression: DebianBug:808826
   * Affects: libkavorka-perl, libparse-keyword-perl, libmoops-perl
 * [DONE] gwyddion-plugins: DebianBug:808777 (alternate only so not critical)
 * [DONE, NMU] amanda-common: DebianBug:808209, maintainer upload [[http://blog.calhariz.com/post/2015/12/20/Preview-of-amanda-3.3.7p1-1|pending]]
 * [DONE, DELAYED/3] votca-csg: DebianBug:808321 (not in testing due to RC bug of dependency)

Open issues for the Perl 5.22 transition + coordinating

Issues which show up in the transition tracker

sid-only packages excluded

https://release.debian.org/transitions/html/perl.html

  • ifeffi: 808307 is in contrib, needs a manual upload

    • removed from testing
  • libpgplot-perl: 808331 is in contrib, needs a manual upload

    • removed from testing
  • linux-tools: has been built against 5.22 but not showing up in tracker for some reason
    • probably needs a decruft (from #debian-ftp)
  • libdevel-findref-perl: (787446)

    • removed from testing by now
  • redhat-cluster: pochu dicussing with maintainers.
  • libembperl-perl: 806897 long standing general issue

    • removed from testing

Done

  • [DONE] qdbm, subversion: these seem to be victims of an openjdk-7 jre SIGSEGV regression on arm64
    • both built after a give-back, wookey suspects a local problem on arm-arm-01 buildd
    • 808453

  • [DONE, hopefully] libdevel-bt-perl seems fixable (808480)

  • [DONE] libalien-wxwidgets-perl: wxwidgets version detection logic broken and not binNMU safe (808284)

  • [DONE] rrdtool: FTBFS on mips: FAIL: tune2 805391

    • also fails with CC=gcc-4.9
    • also fails with DEB_BUILD_OPTIONS=noopt
    • patch submitted, maintainer active
  • [DONE] postgresql-9.4: test suite failures
    • reproducible.d.n last successfully built this on 20151211
    • builds with libxml2_2.9.2+zdfsg1-4 on amd64, so regressed with 2.9.3+dfsg1-1
    • 808325 filed

  • [DONE, as in: giveback + severity lowered] libsendmail-milter-perl: (807392)

  • [DONE] linux-tools: looks like it's defending against binNMUs or something
  • [DONE] libchemistry-formula-perl: depends on perlapi-* even though it's arch:all, presumably due to a packlist file that's in vendorarch
    • needs a sourceful upload to become installable again (808310)

  • [DONE] slic3r/s390x is b-d-uninstallable because of something with boost-1.58 or mpich (808444)

  • [DONE] uwsgi/powerpc has mono troubles (807688, 808507)

  • [DONE] libprelude FTBFS everywhere with SWIG errors in the perl bindings
    • bug filed (808395)

    • patch added
  • [DONE] rrdtool: FTBFS on mips: FAIL: tune2 805391

    • also fails with CC=gcc-4.9
    • also fails with DEB_BUILD_OPTIONS=noopt
    • patch submitted, maintainer active
  • libsbml: pochu will poke mono people
  • [DONE] libb-hooks-op-check-entersubforcv-perl: longstanding issue, can be removed from testing: (787499)

Other issues

perl5

  • -

Misc

  • -

Things which aren't real issues for the transition

  • -

Done

  • [DONE] html2wml: 808189

  • [DONE] ddclient: 808210

  • [DONE] jailer: 808218

  • [DONE] nas-bin: 808232

  • [DONE] p10cfgd: 808233

  • [DONE] swish++: 808323

  • [DONE] troffcvt: 808324

  • [DONE] wmanager: 808327

  • [DONE] xpilot-extra: 808413 NMUed with maintainer permission

  • [DONE] geneweb: 808390

  • [DONE] ippl: 808412

  • [DONE] acm: 808489

  • [DONE] sbuild: 808560 808805

    • patch available in bug, awaiting maintainer upload?
  • [DONE] autodie:
  • [DONE] libdevel-callparser-perl regression: 808826

    • Affects: libkavorka-perl, libparse-keyword-perl, libmoops-perl
  • [DONE] gwyddion-plugins: 808777 (alternate only so not critical)

  • [DONE, NMU] amanda-common: 808209, maintainer upload pending

  • [DONE, DELAYED/3] votca-csg: 808321 (not in testing due to RC bug of dependency)